Eclipse Platform Release 3.7

## org.eclipse.swt.browser
Interface TitleListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface TitleListener

extends org.eclipse.swt.internal.SWTEventListener

This listener interface may be implemented in order to receive a `TitleEvent` notification when the title of the document displayed in a `Browser` is known or has been changed.

Since:
  3.0
See Also:
  `Browser.addTitleListener(TitleListener)`, `Browser.removeTitleListener(TitleListener)`

Method Summary
`void` `changed(TitleEvent event)` This method is called when the title of the current document is available or has changed.

Method Detail

### changed

    void changed(TitleEvent event)

  This method is called when the title of the current document is available or has changed.

  The following fields in the `TitleEvent` apply:

  - (in) title the title of the current document
  - (in) widget the `Browser` whose current document's title is known or modified

  Parameters:
    `event` - the `TitleEvent` that contains the title of the document currently displayed in a `Browser`
  Since:
    3.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.